<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
            CREATE TABLE vehicle_trackings(
                id					               	BIGINT GENERATED always AS IDENTITY PRIMARY KEY,
                vehicle_master_id					BIGINT NOT NULL,
                latitude 							DOUBLE PRECISION NOT NULL,
                longitude 							DOUBLE PRECISION NOT NULL,
                accuracy 							REAL,
                status 								TEXT DEFAULT NULL,
                distance_covered_km					REAL DEFAULT 0,
                created_at							TIMESTAMP NOT NULL DEFAULT NOW(),
                updated_at							TIMESTAMP NOT NULL DEFAULT NOW(),
                created_by							TEXT DEFAULT NULL,
                updated_by							TEXT DEFAULT NULL,
                deleted_at			                TIMESTAMP,

                FOREIGN KEY (vehicle_master_id)     REFERENCES  vehicle_masters (id)

            );
        SQL;
        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('vehicle_trackings');
    }
};
